Skip to main content
GET
Retrieve rich transcription data for a specific file in a collection
For details on how to create a video collection, see Create Collection

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

collection_id
string
required

The ID of the collection

file_id
string
required

The ID of the file

Query Parameters

response_format
enum<string>

Format for the response

Available options:
json,
markdown
start_time_seconds
number

Start time in seconds to filter out results by

end_time_seconds
number

End time in seconds to filter out results by

modalities
enum<string>[]

The modalities to output in the response. Can be used to return smaller data sets. Comma separated list of strings. Defaults to all modalities available / previously extracted. Accepted values are speech,visual_scene_description,scene_text, audio_description, summary, segment_summary, title

Available options:
speech,
visual_scene_description,
scene_text,
audio_description,
summary,
segment_summary,
title
include_word_timestamps
boolean
default:false

When true, include a words array on each speech entry with word-level start_time and end_time. Not available for YouTube sources. Only applies when response_format=json.

Response

Rich transcription data

collection_id
string
required

The ID of the collection

file_id
string
required

The ID of the file

content
string

Content string returned based on formatting, e.g. set to markdown text when response_format=markdown is requested

title
string

Generated title of the video

summary
string

Generated video level summary

duration_seconds
number

Duration of the video in seconds

segment_summary
object[]

Array of summary information for each segment of the video. Only available when enable_summary is set to true in the transcribe configuration.

visual_scene_description
object[]

Array of visual descriptions

scene_text
object[]

Array of scene text extractions

speech
object[]

Array of speech transcriptions

audio_description
object[]

Array of audio descriptions